:root{
    --negro: #000000;
    --blanco: #ffffff;
}

html{
    font-size: 62.5%;
    box-sizing: border-box;
    background-color: var(--negro);

    font-family: "Cormorant Garamond", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
    color: var(--blanco);
}

*, *:before, *:after{
    box-sizing: inherit;
}

body {
    margin: 0;
}

h1, h2, h3, p{
    margin: 0;
    padding: 0;
}

.contenedor-principal{
    max-width: 74rem; /*o 74*/
    margin: 0 auto;
    padding: 0 2rem;

    position: relative;
}

/*Nav*/

nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    margin-top: 2rem;
    padding-top: 4rem;
    padding-bottom: 2rem;
}

nav h3, nav a {
    text-decoration: none;
    color: var(--blanco);
    font-weight: 700;
    font-size: 2rem;
    font-style: italic;
    text-transform: uppercase;
}

.div1 a:hover {
    text-decoration: underline;
}

/*Main*/
main {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(9, 22.7rem);

    column-gap: 1rem;
    row-gap: 1rem;

    margin-bottom: 4rem;
}

main img {
    max-width: 100%;
    max-height: 100%; 

    object-fit: contain;
    justify-self: center;
    align-self: center;

    border: 0.2rem solid var(--blanco);
    display: inline-block;
    /* Que pedo con este display, display god, 
    porque no me funcionaba sin este diplay*/

    cursor: pointer;
}

/*Close up*/
#close_up {
    display:none;
}

#close_up.visible {
    display: block;
}

#imagenes_main {
    display:none;
}

#imagenes_main.seVe {
    display: grid;
}

.visible {
    position: absolute;
    top: 4rem;
    right: 0;
    width: 74rem;
    height: auto;
    background-color: var(--negro);
    padding: 0 2rem;
}

.visible section {
    display: flex;
    justify-content: space-between;
}

.visible button {
    background-color: var(--negro);
    border: none;
    color: white;
    text-decoration: none;
    /*padding: 15px 32px;*/
    display: inline-block;
    cursor: pointer;
}

.visible button, .visible p {
    font-family: "Cormorant Garamond", serif;
    font-optical-sizing: auto;
    text-decoration: none;
    color: var(--blanco);
    font-weight: 700;
    font-size: 2rem;
    font-style: italic;
    text-transform: uppercase;
}

.visible img {
    margin-top: 2rem;
    height: 50rem;
    width: 100%;
    object-fit: contain;
}
